> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user inventory history

## OpenAPI

````json GET /p2e/players/@me/inventory/activities
{
  "openapi": "3.0.0",
  "info": {
    "title": "Loyalty API",
    "version": "1.0.0",
    "description": "Combined API documentation. Includes: Player API, Admin API, Redeem Options API, Notifications API"
  },
  "servers": [
    {
      "url": "https://{domain}"
    }
  ],
  "tags": [
    {
      "name": "Admin",
      "description": "Endpoint with unlimited access"
    },
    {
      "name": "Users",
      "description": "Endpoint to get information for one or more users"
    },
    {
      "name": "Tokens",
      "description": "Tokens related endpoints"
    },
    {
      "name": "Perks",
      "description": "Perks related endpoints"
    },
    {
      "name": "System",
      "description": "Not business logic information"
    },
    {
      "name": "Quests",
      "description": "Quests related endpoints"
    },
    {
      "name": "Daily",
      "description": "Daily bonus related endpoints"
    },
    {
      "name": "Rewards",
      "description": "Rewards related endpoints"
    },
    {
      "name": "Achievements",
      "description": "Achievements related endpoints"
    },
    {
      "name": "Segments",
      "description": "Segments related endpoints"
    },
    {
      "name": "Reward Rules",
      "description": "Game rules related endpoints"
    },
    {
      "name": "Level Config",
      "description": "Level config related endpoints"
    },
    {
      "name": "Schedule",
      "description": "Schedule related endpoints"
    },
    {
      "name": "Scheduled Events",
      "description": "Scheduled events related endpoints"
    },
    {
      "name": "Leaderboards",
      "description": "Leaderboards related endpoints"
    },
    {
      "name": "Auth",
      "description": "Authorization"
    },
    {
      "name": "Documentation",
      "description": "Documentation"
    },
    {
      "name": "Feedback",
      "description": "Feedback"
    },
    {
      "name": "File System",
      "description": "File System"
    },
    {
      "name": "I18n",
      "description": "Internationalization"
    },
    {
      "name": "Integrations",
      "description": "Integrations"
    },
    {
      "name": "Permissions",
      "description": "Permissions"
    },
    {
      "name": "Rewarder",
      "description": "Rewarder"
    },
    {
      "name": "Widgets",
      "description": "Widgets"
    },
    {
      "name": "Redeem Options",
      "description": ""
    },
    {
      "name": "Redeem Providers",
      "description": ""
    }
  ],
  "x-readme": {},
  "paths": {
    "/p2e/players/@me/inventory/activities": {
      "get": {
        "operationId": "PlayerController_getUserInventoryActivities",
        "parameters": [
          {
            "name": "dateFrom",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "Scrimmage-Version",
            "in": "header",
            "description": "Version",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InventoryActivitiesDTO"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearer": []
          }
        ],
        "summary": "Get user inventory history",
        "tags": [
          "Player",
          "Inventory"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "InventoryActivitiesDTO": {
        "type": "object",
        "properties": {
          "activities": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InventoryActivityDTO"
            }
          },
          "totalCount": {
            "type": "number"
          }
        },
        "required": [
          "activities",
          "totalCount"
        ]
      },
      "InventoryActivityDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "createdAt": {
            "format": "date-time",
            "type": "string"
          },
          "eventType": {
            "type": "string"
          },
          "event": {
            "type": "string"
          },
          "activity": {
            "$ref": "#/components/schemas/UserRewardDTO"
          },
          "eventId": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "createdAt",
          "eventType",
          "event",
          "activity",
          "eventId"
        ]
      },
      "UserRewardDTO": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string"
          },
          "config": {
            "type": "object"
          },
          "visibility": {
            "type": "string"
          },
          "amount": {
            "type": "object"
          }
        },
        "required": [
          "type",
          "config",
          "visibility",
          "amount"
        ]
      }
    },
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
````

